<?php

class Reminder extends Zend_Db_Table_Abstract {
  protected $_name = 'necosuke_lpo_tran_reminder';

  public function insert($data) {
    $data['hash'] = hash(
      'sha256',
      (string)time() . 'NeCoSuKe'. implode('', array_values($data))
    );
    $data['date'] = new Zend_Db_Expr('now()');

    return parent::insert($data);
  }
}
